# Fn<> IsContiguous
Determines whether a container stores its elements contiguously in memory.

Defined in | <seqan/sequence.h>
Signature | `IsContiguous<T>::Type; IsContiguous<T>::VALUE;`

## Template Parameters

`T` | The type that is tested for being a string.

## Return Values

`Type` | Either `True` or `False`, depending on whether `T` is stored contiguously.
`VALUE` | Either `true` or `false`, depending on whether `T` is stored contiguously.

## Detailed Description

A sequence container is "contiguous", if its elements are stored in a single contiguous array. Examples for contiguous sequences are AllocString or char arrays.

If an object `obj` is a contiguous sequence, then `begin(obj)` can be converted to a pointer to the first element of the content array.

#### Dox Sources

    /*!
     * @mfn IsContiguous
     *
     * @headerfile <seqan/sequence.h>
     *
     * @brief Determines whether a container stores its elements contiguously in
     *        memory.
     *
     * @signature IsContiguous<T>::Type;
     * @signature IsContiguous<T>::VALUE;
     *
     * @tparam T The type that is tested for being a string.
     *
     * @return Type Either <tt>True</tt> or <tt>False</tt>, depending on whether
     *              <tt>T</tt> is stored contiguously.
     * @return VALUE Either <tt>true</tt> or <tt>false</tt>, depending on whether
     *               <tt>T</tt> is stored contiguously.
     *
     * A sequence container is "contiguous", if its elements are stored in a single
     * contiguous array. Examples for contiguous sequences are AllocString or char
     * arrays.
     *
     * If an object <tt>obj</tt> is a contiguous sequence, then <tt>begin(obj)</tt>
     * can be converted to a pointer to the first element of the content array.
     */